Skip to main content

Authentication

This endpoint requires authentication using a Bearer token.
curl -X GET "https://api.dub.co/domains?page=1&pageSize=50" \
  -H "Authorization: Bearer <token>"

Query Parameters

archived
boolean
default:"false"
Whether to include archived domains in the response. Defaults to false if not provided.
The search term to filter the domains by.
page
number
default:"1"
The page number for pagination.
pageSize
number
default:"50"
The number of items per page. Maximum: 50

Response

Returns an array of domain objects.
id
string
The unique identifier of the domain.
slug
string
The domain name.Example: acme.com
verified
boolean
Whether the domain is verified.
primary
boolean
Whether the domain is the primary domain for the workspace.
archived
boolean
Whether the domain is archived.
placeholder
string | null
Provide context to your teammates in the link creation modal by showing them an example of a link to be shortened.
expiredUrl
string | null
The URL to redirect to when a link under this domain has expired.
notFoundUrl
string | null
The URL to redirect to when a link under this domain doesn’t exist.
The logo of the domain.
assetLinks.json configuration file (for deep link support on Android).
appleAppSiteAssociation
string | null
apple-app-site-association configuration file (for deep link support on iOS).
createdAt
date
The date the domain was created.
updatedAt
date
The date the domain was last updated.
registeredDomain
object | null
The registered domain record.
id
string
The ID of the registered domain record.
autoRenewalDisabledAt
date | null
The date the domain auto-renew is disabled.
createdAt
date
The date the domain was created.
expiresAt
date
The date the domain expires.
renewalFee
number
The fee to renew the domain.
[
  {
    "id": "dom_abc123",
    "slug": "acme.com",
    "verified": true,
    "primary": true,
    "archived": false,
    "placeholder": "https://dub.co/help/article/dub-links",
    "expiredUrl": "https://acme.com/expired",
    "notFoundUrl": "https://acme.com/not-found",
    "logo": null,
    "assetLinks": null,
    "appleAppSiteAssociation": null,
    "createdAt": "2024-01-01T00:00:00.000Z",
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "registeredDomain": null
  },
  {
    "id": "dom_xyz789",
    "slug": "example.link",
    "verified": true,
    "primary": false,
    "archived": false,
    "placeholder": null,
    "expiredUrl": null,
    "notFoundUrl": null,
    "logo": null,
    "assetLinks": null,
    "appleAppSiteAssociation": null,
    "createdAt": "2024-01-15T00:00:00.000Z",
    "updatedAt": "2024-01-15T00:00:00.000Z",
    "registeredDomain": {
      "id": "reg_123",
      "autoRenewalDisabledAt": null,
      "createdAt": "2024-01-15T00:00:00.000Z",
      "expiresAt": "2025-01-15T00:00:00.000Z",
      "renewalFee": 10.00
    }
  }
]

Build docs developers (and LLMs) love